#ifndef MSP_GL_MESHBUILDER_H_
#define MSP_GL_MESHBUILDER_H_

#include "primitivebuilder.h"

namespace Msp {
namespace GL {

class Batch;
class Mesh;

class MeshBuilder: public PrimitiveBuilder
{
private:
	Mesh &mesh;
	Batch *batch;

public:
	MeshBuilder(Mesh &);
	void auto_offset();
private:
	virtual void begin_();
	virtual void end_();
	virtual void element_(unsigned);
};

} // namespace GL
} // namespace Msp

#endif
